import { CanActivate, Router, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { UserService } from '../services/users.services';
import { SessionService } from '../services/session.services';
export declare class AuthGuard implements CanActivate {
    private router;
    private userService;
    private sessionService;
    constructor(router: Router, userService: UserService, sessionService: SessionService);
    canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
}
