var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { UserService } from '../services/users.services';
import { SessionService } from '../services/session.services';
var AuthGuard = /** @class */ (function () {
    function AuthGuard(router, userService, sessionService) {
        this.router = router;
        this.userService = userService;
        this.sessionService = sessionService;
    }
    AuthGuard.prototype.canActivate = function (next, state) {
        if (this.userService.isAuthenticated()) {
            // usar el modulo iddle para auto logout
            /*if (!this.sessionService.isExpired()) {
                return true;
            } else {
                this.logoutService.logout();
            }*/
            return true;
        }
        var message = "Your session has expired. Please login again.";
        this.router.navigate(['/'], { queryParams: { errorMessage: message, redirectUrl: state.url } });
        return false;
    };
    AuthGuard = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [Router, UserService, SessionService])
    ], AuthGuard);
    return AuthGuard;
}());
export { AuthGuard };
//# sourceMappingURL=auth.guard.js.map