import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material';
export interface DialogData {
    title: string;
    question: string;
}
export declare class ConfirmDialogComponent implements OnInit {
    dialog: MatDialog;
    dialogRef: MatDialogRef<ConfirmDialogComponent>;
    data: DialogData;
    confirmationDialog: boolean;
    constructor(dialog: MatDialog, dialogRef: MatDialogRef<ConfirmDialogComponent>, data: DialogData);
    ngOnInit(): void;
    closeDialog(): void;
    confirmDialog(): void;
}
