import { LoadingService } from '../uix/loading/services/loading.services';
import { Router } from '@angular/router';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { UserService } from './users.services';
import { GlobalConstantsService } from '../utils/globalsConstants';
export declare class LogoutService {
    private http;
    private userService;
    private Router;
    private LoadingService;
    private GlobalConstantsService;
    constructor(http: HttpClient, userService: UserService, Router: Router, LoadingService: LoadingService, GlobalConstantsService: GlobalConstantsService);
    logout(): void;
    doLogout(): Observable<any>;
}
