import { User } from '../models/user.models';
import { Token } from '../models/token.models';
export declare class UserService {
    constructor();
    save(user: User): void;
    saveUserId(userId: number): void;
    saveToken(token: Token): void;
    clean(): void;
    isAuthenticated(): boolean;
    getUserId(): number | boolean;
    getUsername(): string | boolean;
    getSessionId(): string | boolean;
    getMaxInactiveInterval(): number;
    getAccessToken(): string | boolean;
    getExpiresInToken(): number;
    getRefreshToken(): string | boolean;
    private getUser;
}
