import { OnInit } from '@angular/core';
import { AuthService } from '../services/auth.services';
import { LoadingService } from '../../loading/services/loading.services';
import { UserService } from '../../../services/users.services';
export declare class AuthComponent implements OnInit {
    authService: AuthService;
    loadingService: LoadingService;
    userService: UserService;
    authenticated: boolean;
    loading: boolean;
    constructor(authService: AuthService, loadingService: LoadingService, userService: UserService);
    ngOnInit(): void;
    updateAuthentication(): void;
    updateLoading(loaded: boolean): void;
}
