var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
import { Injectable, Inject } from '@angular/core';
import { enviromentConfigService } from '../enviroment/enviroment-config.service';
import * as i0 from "@angular/core";
import * as i1 from "../enviroment/enviroment-config.service";
var GlobalConstantsService = /** @class */ (function () {
    function GlobalConstantsService(environmentModel) {
        this.environmentModel = environmentModel;
        this.baseURL = '';
        this.CLIENT_ID = '';
        this.CLIENT_SECRET = '';
        this.API_LOGIN = "";
        this.API_REFRESH_TOKEN = "";
        this.API_CHECK_SESSION = "";
        this.API_LOGOUT = "";
        this.BASE_URL = "";
        var baseURL = environmentModel.protocol + "://" + environmentModel.host + ":" + environmentModel.port + "/" + environmentModel.contextName + "/";
        this.CLIENT_ID = environmentModel.clientId;
        this.CLIENT_SECRET = environmentModel.clientSecret;
        this.API_LOGIN = this.baseURL + "login";
        this.API_REFRESH_TOKEN = this.baseURL + "refreshToken";
        this.API_CHECK_SESSION = this.baseURL + "checkSession";
        this.API_LOGOUT = this.baseURL + "logout";
        this.BASE_URL = this.baseURL;
    }
    GlobalConstantsService.ngInjectableDef = i0.defineInjectable({ factory: function GlobalConstantsService_Factory() { return new GlobalConstantsService(i0.inject(i1.enviromentConfigService)); }, token: GlobalConstantsService, providedIn: "root" });
    GlobalConstantsService = __decorate([
        Injectable({
            providedIn: 'root'
        }),
        __param(0, Inject(enviromentConfigService)),
        __metadata("design:paramtypes", [Object])
    ], GlobalConstantsService);
    return GlobalConstantsService;
}());
export { GlobalConstantsService };
//# sourceMappingURL=globalsConstants.js.map